# How to contribute to this project

I'm open for any contributions made to this project and will be really grateful for that! Please see below how to report an issue, ask a question and commit changes to the codebase.

## Reporting Issues and Asking Questions

Before opening an issue, please search the [issue tracker](https://github.com/burczu/react-router-role-authorization/issues) to make sure your issue has not already been reported.

### Do you think you found a Bug?

Please provide the best description you can and, at least, a code sample which explains how you use this library. For example routing configuration, classes which extend classes provided by this library etc.

### Proposing new features

Please provide thoughtful comments and some sample code. Proposals without substance will be closed.

### Your issue not getting attention?

If you found a bug and need a fix, but nobody is fixing it, it is a great opportunity for you to become a contributor... Please consider making a fix on your own and providing pull request in case of success!

## Making changes to the codebase

Check out the [issue tracker](https://github.com/burczu/react-router-role-authorization/issues) to find a list of open issues - you can try to find a solution to them if you like.

To start working with the project, fork it and then clone the repo:

```
git clone https://github.com/your-username/react-router-role-authorization.git
```

### Available console commands

There are several console commands available to help you working with the project. Please see below a list of them (with description):

To build the project and emit the result to the `dist` folder:

```
npm run build
```

To run eslint and all the tests once:

```
npm run test
```

To run eslint and all the test and then, watch for changes:

```
npm run watch-test
```

## Making pull requests

Pull requests need only the 👍 of the author or two or more collaborators to be merged; when the PR author is a collaborator, that counts as one.

Please don't forget to check if existing tests are still passing! If you add a new feature, you should probably add some additional tests...
